<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="iso-8859-1" />
	<xsl:template match="/rss/channel">
		<html>
			<body>
				<table border='4' cellpadding='3' width='100%'>
					<xsl:apply-templates select="item">
						<xsl:sort select="pubdate" order="descending" />
					</xsl:apply-templates>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="item">
		<tr>
			<td>
				<table width='80%'>
					<xsl:attribute name='bgcolor'>
	<xsl:if test='position() mod 2'>EEEEEE</xsl:if>
	<xsl:if test='not(position() mod 2)'>FFFFFF</xsl:if>
	</xsl:attribute>
					<tr>
						<td colspan='2'>
							<b>
								<xsl:value-of select="title" />
							</b>
						</td>
					</tr>
					<tr>
						<td colspan='2'>
							<xsl:value-of select="pubdate" />
						</td>
					</tr>
					<tr>
						<td colspan='2'>
							<a href="{link}">
								<xsl:value-of select="link" />
							</a>
						</td>
					</tr>
					<tr>
						<td />
						<td>
							<xsl:value-of select="description/text()"
								disable-output-escaping="yes" />
						</td>
					</tr>
					<xsl:apply-templates select="description/annotations" />
				</table>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="annotations">
		<tr>
			<td colspan='2'>
				<table border='1'>
					<xsl:apply-templates select="item">
						<xsl:sort select="pubdate" order="descending" />
						<xsl:sort select="score" order="descending" />
					</xsl:apply-templates>
				</table>
			</td>
		</tr>

	</xsl:template>


	<xsl:template match="annotations/item">
		<tr>
			<td>
				<table width='100%'>
					<!--
						<xsl:attribute name='bgcolor'> <xsl:if test='position() mod 2'>lightgrey</xsl:if> 
						<xsl:if test='not(position() mod 2)'>white</xsl:if> </xsl:attribute>
					-->
					<tr>

						<td>
							<i>
								<xsl:value-of select="title" />
							</i>
							(
							<font color='red'>
								<xsl:value-of select="score" />
							</font>
							)
						</td>
					</tr>
					<tr>
						<td>
							<xsl:value-of select="pubdate" />
						</td>
					</tr>
					<tr>
						<td>
							<a href="{link}">
								<xsl:value-of select="link" />
							</a>
						</td>
					</tr>
					<!--
						<tr> <td> <xsl:value-of select="description"
						disable-output-escaping="yes" /> </td> </tr>
					-->
				</table>
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet>